using System;
using Server;

namespace Server.Items
{
	public class RareSerpentEgg2 : PeerlessKey
	{	
		public override int Lifespan{ get{ return 21600; } }
        public override int LabelNumber { get { return 1112575; } } // Rare Serpent Egg
	
		[Constructable]
		public RareSerpentEgg2() : base( 0x41BE )
		{
			Weight = 1;
			Hue = 2204; // TODO check
		}

        public RareSerpentEgg2(Serial serial) : base(serial)
		{
		}		
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}